<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="net.vtstar.zhongtong.avi.monitoring.mapper.WarningMapper">

    <insert id="insertRecord" parameterType="net.vtstar.zhongtong.avi.monitoring.domain.Warning">
        <selectKey resultType="java.lang.Long" order="AFTER" keyProperty="id">
            SELECT @@IDENTITY
        </selectKey>
        insert into warning (info, type, name)
        values(#{info},#{type},#{name})
    </insert>

</mapper>